
TCA Reference - Feature # 46819

Status: Closed Priority: Should have
Author: Christian Kuhn Category:
Created: 2013-03-31 Assigned To: Francois Suter
Updated: 2013-04-29 Due date:
Subject: Support multiple display conditions in TCA
Description

http://docs.typo3.org/typo3cms/TCAReference/Reference/Columns/Index.html

TCA reference
Section "columns" 
Part "displayCond"

Single display conditions can be combined with boolean logic and nested, possible keys are OR and AND:
Example:

array(
    'AND' => array(
        'FIELD:testField:>:9',
        'FIELD:testField:<:11',
    ),
),

Related issues:
related to Core - Feature # 18211: Array of display conditions for TCA fields... Resolved 2008-02-14

Associated revisions
Revision 42a7c913 - 2013-04-29 22:13 - Francois Suter

[FEATURE] Document multiple displayCond

It is now possible to define multiple conditions, joined
by AND or OR operators.

Resolves: #46819
Releases: 6.1

Change-Id: Ifd6573c2dd5bbcf257765ae6b7f4d99452c9073a
Reviewed-on: https://review.typo3.org/20325
Reviewed-by: Francois Suter
Tested-by: Francois Suter

History
#1 - 2013-03-31 17:46 - Francois Suter
- Target version set to 6.1.0

#2 - 2013-04-29 22:03 - Francois Suter
- Status changed from New to Accepted
- Assigned To set to Francois Suter

#3 - 2013-04-29 22:11 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20325

#4 - 2013-04-29 22:12 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20325

#5 - 2013-04-29 22:38 - Francois Suter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:42a7c91394eb92fbc11fd228a71febc2fdfe4c5b.

#6 - 2013-04-29 22:39 - Francois Suter
- Status changed from Resolved to Closed
